.c2uloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.4);
  z-index: 999;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  opacity: 0;
  transition: all .5s;
  pointer-events: none;
}

.c2uloader.load {
  opacity: 1;
  pointer-events: all;
}

.c2uloader-box {
  background: #fff;
  display: inline-block;
  padding: 20px;
  -webkit-box-shadow: 0 5rem 14rem 0 hsl(0deg 0% 100% / 30%), 0 0.8rem 2.3rem rgb(0 0 0 / 60%), 0 0.2rem 0.3rem rgb(0 0 0 / 45%);
  box-shadow: 0 5rem 14rem 0 hsl(0deg 0% 100% / 30%), 0 0.8rem 2.3rem rgb(0 0 0 / 60%), 0 0.2rem 0.3rem rgb(0 0 0 / 45%);
  border-radius: 10px;
}

.c2uloader-icon {
  position: relative;
  width: 70px;
  height: 70px;
  border-color: #24336a transparent #24336a transparent;
  -webkit-animation: swal2-rotate-loading 1.5s linear 0s infinite normal;
  animation: swal2-rotate-loading 1.5s linear 0s infinite normal;
  border-width: 0.25em;
  border-style: solid;
  border-radius: 100%;
  margin: 0 auto;
  padding: 5px;
}

.c2uloader-icon:after {
  content: "";
  width: 0;
  height: 0;
  margin: 0;
  display: block;
  border-radius: 50px;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  border: 26px solid #fff;
  border-color: #24336a transparent #24336a transparent;
  -webkit-animation: lds-hourglass 1.2s infinite;
  animation: lds-hourglass 1.2s infinite;
}

.c2uloader-box p {
  margin: 0 !important;
  border: none;
  text-transform: uppercase;
  font-size: 12px;
  font-weight: 700;
  color: #24336a;
  padding: 1em 1em 0;
}

@-webkit-keyframes lds-hourglass {
  0% {
      -webkit-transform: rotate(0);
      transform: rotate(0);
      -webkit-animation-timing-function: cubic-bezier(0.55, 0.055, 0.675, 0.19);
      animation-timing-function: cubic-bezier(0.55, 0.055, 0.675, 0.19);
  }

  50% {
      -webkit-transform: rotate(900deg);
      transform: rotate(900deg);
      -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
      animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  }

  100% {
      -webkit-transform: rotate(1800deg);
      transform: rotate(1800deg);
  }
}

@keyframes lds-hourglass {
  0% {
      -webkit-transform: rotate(0);
      transform: rotate(0);
      -webkit-animation-timing-function: cubic-bezier(0.55, 0.055, 0.675, 0.19);
      animation-timing-function: cubic-bezier(0.55, 0.055, 0.675, 0.19);
  }

  50% {
      -webkit-transform: rotate(900deg);
      transform: rotate(900deg);
      -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
      animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  }

  100% {
      -webkit-transform: rotate(1800deg);
      transform: rotate(1800deg);
  }
}

@-webkit-keyframes swal2-rotate-loading {
  0% {
      -webkit-transform: rotate(0);
      transform: rotate(0);
  }
  100% {
      -webkit-transform: rotate(360deg);
      transform: rotate(360deg);
  }
}

@keyframes swal2-rotate-loading {
  0% {
      -webkit-transform: rotate(0);
      transform: rotate(0);
  }
  100% {
      -webkit-transform: rotate(360deg);
      transform: rotate(360deg);
  }
}
